Get Agent Run
curl --request GET \
--url https://api.example.com/api/agents/{agentId}/runs/{runId}import requests
url = "https://api.example.com/api/agents/{agentId}/runs/{runId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/agents/{agentId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runId": "550e8400-e29b-41d4-a716-446655440001",
"agentId": "550e8400-e29b-41d4-a716-446655440000",
"roomId": "660e8400-e29b-41d4-a716-446655440002",
"startTime": 1703001234567,
"endTime": 1703001235890,
"status": "completed",
"events": [
{
"type": "action:started",
"timestamp": 1703001234600,
"data": { "action": "REPLY" }
},
{
"type": "model:used",
"timestamp": 1703001234800,
"data": {
"modelType": "text:large",
"provider": "openai",
"tokens": { "prompt": 150, "completion": 50 }
}
},
{
"type": "action:completed",
"timestamp": 1703001235800,
"data": { "action": "REPLY", "success": true }
}
],
"tokensUsed": {
"promptTokens": 150,
"completionTokens": 50,
"totalTokens": 200
},
"errors": []
}
RUNS
Get Agent Run
GET
/
api
/
agents
/
{agentId}
/
runs
/
{runId}
Get Agent Run
Get detailed information about a specific agent run, including the full event history.
Path Parameters
The UUID of the agent
The UUID of the run
Response
Unique run identifier
Agent that executed this run
Room where the run occurred
Unix timestamp when run started
Unix timestamp when run ended
Run status:
completed, failed, timeout, cancelledArray of error messages if any occurred
{
"runId": "550e8400-e29b-41d4-a716-446655440001",
"agentId": "550e8400-e29b-41d4-a716-446655440000",
"roomId": "660e8400-e29b-41d4-a716-446655440002",
"startTime": 1703001234567,
"endTime": 1703001235890,
"status": "completed",
"events": [
{
"type": "action:started",
"timestamp": 1703001234600,
"data": { "action": "REPLY" }
},
{
"type": "model:used",
"timestamp": 1703001234800,
"data": {
"modelType": "text:large",
"provider": "openai",
"tokens": { "prompt": 150, "completion": 50 }
}
},
{
"type": "action:completed",
"timestamp": 1703001235800,
"data": { "action": "REPLY", "success": true }
}
],
"tokensUsed": {
"promptTokens": 150,
"completionTokens": 50,
"totalTokens": 200
},
"errors": []
}
Was this page helpful?
⌘I

